﻿local PS_ID = 69369
local PS_NAME = GetSpellInfo(PS_ID)
local PS_ARGS = {"TEXTURES\\SPELLACTIVATIONOVERLAYS\\FURY_OF_STORMRAGE", "TOP", 1, 255, 192, 255}

local f = CreateFrame("Frame")
local present = false

do
	f:RegisterEvent("UNIT_AURA")
	
	f:SetScript("OnEvent", function(self, event, ...)
		if event == "UNIT_AURA" then
			local unit = ...
			if unit == "player" then
				local _, _, _, _, _, duration, _, _, _, _, spellId = UnitAura("player", PS_NAME)
				local oldPresent = present
				
				-- Update flag
				present = duration and spellId and spellId == PS_ID
				
				-- Simulate overlay event trigger
				if present ~= oldPresent then
					local _self = SpellActivationOverlayFrame
					if present then
						SpellActivationOverlay_OnEvent(_self, "SPELL_ACTIVATION_OVERLAY_SHOW", PS_ID, unpack(PS_ARGS))
					else
						SpellActivationOverlay_OnEvent(_self, "SPELL_ACTIVATION_OVERLAY_HIDE", PS_ID)
					end
				end
			end
		end
	end)
end